Leaderboards
Generated reference for the 2 /v1/leaderboards operations of the 0x REST API.
Generated from steamworks sg-backend/openapi.yaml at build 3a4a58e45c+dirty. Do not edit by hand.
Guide: Achievements and leaderboards. Errors are {"error": "..."} with the status (errors); limits are in rate limits.
| Method | Path | Auth | Summary |
|---|---|---|---|
POST | /v1/leaderboards/{id}/scores | Bearer token | Upload {score, details, method: |
GET | /v1/leaderboards/{id}/entries | Bearer token | Ranked entries [{steamid, score, details, rank}] |
#POST /v1/leaderboards/{id}/scores
Upload {score, details, method: keep_best|force_update} → {changed, rank_new, rank_prev}
Auth: Bearer token: Authorization: Bearer <access token> (authentication).
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Response |
|---|---|
| 200 | OK |
curl -s -X POST "https://api.0x.limo/v1/leaderboards/$ID/scores" \
-H "Authorization: Bearer $ZEROX_TOKEN"#GET /v1/leaderboards/{id}/entries
Ranked entries [{steamid, score, details, rank}]
Auth: Bearer token: Authorization: Bearer <access token> (authentication).
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | |
request | query | "global" | "around\_user" | "friends" | "users" | no | |
start | query | number | no | |
end | query | number | no | |
user | query | string | no | |
users | query | string | no |
| Status | Response |
|---|---|
| 200 | OK |
curl -s "https://api.0x.limo/v1/leaderboards/$ID/entries" \
-H "Authorization: Bearer $ZEROX_TOKEN"